Bug 818436 - erlang: memory corruption when number of processors is less than the configured value
erlang: memory corruption when number of processors is less than the configur...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: erlang (Show other bugs)
17
ppc64 All
unspecified Severity high
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-03 01:40 EDT by IBM Bug Proxy
Modified: 2012-05-26 03:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:26:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
commit 8c34a2dc70070cca8d97ad3c0f2dfbec1a0d82d8 from otp github tree (1.53 KB, text/plain)
2012-05-03 01:40 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 81252 None None None Never

  None (edit)
Description IBM Bug Proxy 2012-05-03 01:40:17 EDT
== Comment: #0 - NISHANTH ARAVAMUDAN <aravam@us.ibm.com> - 2012-05-02 19:07:06 ==
While doing testing, we noticed that erlang encountered memory corruption when the number of processors in sysfs was less than the configured value. Ben H. posted a fix to erlang at:

http://erlang.org/pipermail/erlang-patches/2012-March/002705.html

and it was eventually commited as

https://github.com/erlang/otp/commit/8c34a2dc70070cca8d97ad3c0f2dfbec1a0d82d8.

== Comment: #1 - NISHANTH ARAVAMUDAN <aravam@us.ibm.com> - 2012-05-02 19:49:09 ==
I am buliding a test erlang for internal use based upon erlang-R15B-0.1.fc17.src.rpm, but noticed that the spec file therein reference openjdk-1.6.0 and fc17 has openjdk-1.7.0. I changed my copy of the spec, but this probably also needs fixing in the srpm?

== Comment: #3 - NISHANTH ARAVAMUDAN <aravam@us.ibm.com> - 2012-05-02 20:43:28 ==
Comment 1 IBM Bug Proxy 2012-05-03 01:40:32 EDT
Created attachment 581774 [details]
commit 8c34a2dc70070cca8d97ad3c0f2dfbec1a0d82d8 from otp github tree
Comment 2 Fedora Update System 2012-05-07 09:05:48 EDT
erlang-R15B-01.1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/erlang-R15B-01.1.fc17
Comment 3 Fedora Update System 2012-05-07 18:25:02 EDT
Package erlang-R15B-01.1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing erlang-R15B-01.1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7437/erlang-R15B-01.1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-05-26 03:26:48 EDT
erlang-R15B-01.1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.